package com.rjconsultores.ventaboletos.relatorios.utilitarios.beans;

import java.math.BigDecimal;
import java.util.Date;

public class PesoOperacional implements Comparable<PesoOperacional> {
	private Integer corridaId;
	private Date fecCorrida;
	private String localidade;
	private Integer secuencia;
	private BigDecimal receitaSaida;
	private BigDecimal receitaChegada;
	private BigDecimal soma;
	private BigDecimal peso;

	public Integer getCorridaId() {
		return corridaId;
	}

	public void setCorridaId(Integer corridaId) {
		this.corridaId = corridaId;
	}

	public Date getFecCorrida() {
		return fecCorrida;
	}

	public void setFecCorrida(Date fecCorrida) {
		this.fecCorrida = fecCorrida;
	}

	public String getLocalidade() {
		return localidade;
	}

	public void setLocalidade(String localidade) {
		this.localidade = localidade;
	}

	public BigDecimal getReceitaSaida() {
		return receitaSaida;
	}

	public void setReceitaSaida(BigDecimal receitaSaida) {
		this.receitaSaida = receitaSaida;
	}

	public BigDecimal getReceitaChegada() {
		return receitaChegada;
	}

	public void setReceitaChegada(BigDecimal receitaChegada) {
		this.receitaChegada = receitaChegada;
	}

	public BigDecimal getSoma() {
		return soma;
	}

	public void setSoma(BigDecimal soma) {
		this.soma = soma;
	}

	public BigDecimal getPeso() {
		return peso;
	}

	public void setPeso(BigDecimal peso) {
		this.peso = peso;
	}

	public Integer getSecuencia() {
		return secuencia;
	}

	public void setSecuencia(Integer secuencia) {
		this.secuencia = secuencia;
	}

	@Override
	public int compareTo(PesoOperacional o) {
		if ((secuencia.equals(1)) && (o.getSecuencia().equals(1))) {
			if (receitaSaida.compareTo(o.getReceitaSaida()) == 1) {
				return -1;
			} else if (receitaSaida.compareTo(o.getReceitaSaida()) == -1) {
				return 1;
			} else {
				return 0;
			}
		} else {
			return secuencia.compareTo(o.getSecuencia());
		}
	}
}
